<?php
class Brivium_ResendActivationMail_Installer extends Brivium_BriviumHelper_Installer
{
	protected $_installerType = 2;
	public static function install($existingAddOn, $addOnData)
	{
		self::$_addOnInstaller = __CLASS__;
		if (self::$_addOnInstaller && class_exists(self::$_addOnInstaller))
		{
			$installer = self::create(self::$_addOnInstaller);
			$installer->installAddOn($existingAddOn, $addOnData);
		}
		return true;
	}
	
	public static function uninstall($addOnData)
	{
		self::$_addOnInstaller = __CLASS__;
		if (self::$_addOnInstaller && class_exists(self::$_addOnInstaller))
		{
			$installer = self::create(self::$_addOnInstaller);
			$installer->uninstallAddOn($addOnData);
		}
	}
	
	public function getQueryFinal()
	{
		$query = array();
		if($this->_triggerType != "uninstall"){
			$query[] = "
				REPLACE INTO `xf_brivium_listener_class` (`class`, `class_extend`, `event_id`, `addon_id`) VALUES
				('XenForo_ControllerAdmin_User', 'Brivium_ResendActivationMail_ControllerAdmin_User', 'load_class_controller', 'BR_ResendActivationMail');
			";
		}else{
			$query[] = "
				DELETE FROM `xf_brivium_listener_class` WHERE `addon_id` = 'BR_ResendActivationMail';
			";
		}
		return $query;
	}
}
?>